#!/usr/bin/env python

############################################################################
#    Copyright (C) 2006 by Hasan Abdel Halim                               #
#    abdelhal@informatik.uni-bonn.de                                       #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
#                                                                          #
#    Date : %date% at %time%                                               #
#    Filename : Move.py                                                 # 
############################################################################

from Operation import *

class Move (Operation):

  """
  
  :version:
  :author:
  """
  def __init__(self, info):
    Operation.__init__(self, info)
    self.name = "Move Operation"

  def execute(self, engine):
    if not engine:
      return

    if not self.info.file_name:
        print "No name is specified"
        return
        
    print "Moving file ", self.info.src_dir+'\\'+ self.info.file_name
    print "to ", self.info.dest_dir

# if file_name:
    engine.download( self.info.file_name, self.info.src_dir,  self.info.dest_dir, 'true')
    print "done"


